%global pypi_name tabulate
%global commitId bf58e37e6b35e3cc9a0bd740f752abfd32b6e6f8

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.9.0
Release:       1%{?dist}
Summary:       Pretty-print tabular data

License:       MIT
URL:           https://github.com/astanin/python-tabulate
Source0:       python-tabulate-bf58e37e6b35e3cc9a0bd740f752abfd32b6e6f8.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools
#BuildRequires: python%{python3_pkgversion}-setuptools >= 61.2.0
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.4.3
BuildRequires: python%{python3_pkgversion}-wheel

%global _description %{expand:
Pretty-print tabular data in Python, a library and a command-line utility.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==65.5.1

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%changelog
* Wed Oct 18 2023 Satoe Imaishi <simaishi@redhat.com> - 0.9.0-1
- Initial Build
